Subject: Re: bug#18247: Cyclic dependencies in (gnu package *) modules

From: [email-masked]
Date: Mon, 11 Aug 2014 23:28:58 -0400

I wrote:
> Unfortunately, it seems to me that the most common kinds of cross-module
> references between (gnu packages *) modules are references in 'inputs'
> or 'native-inputs' fields, and those need to be looked up at module load
> time, right?

I see now that 'inputs' and 'native-inputs' are "thunked" fields, so the
bindings don't have to be looked up until those fields are accessed at
run time.

     Mark